;******************************************************************************
;* TMS320C6x C/C++ Codegen                                        Unix v7.4.5 *
;* Date/Time created: Fri Nov  1 23:08:41 2013                                *
;******************************************************************************
	.compiler_opts --abi=coffabi --c64p_l1d_workaround=default --endian=little --hll_source=on --long_precision_bits=40 --mem_model:code=near --mem_model:const=far --mem_model:data=far --object_format=coff --silicon_version=6500 --symdebug:none 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C64x+                                          *
;*   Optimization      : Enabled at level 0                                   *
;*   Optimizing for    : Compile time, Ease of Development                    *
;*                       Based on options: -o0, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far                                                  *
;*   Pipelining        : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : No Debug Info                                        *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss

;*****************************************************************************
;* CINIT RECORDS                                                             *
;*****************************************************************************
	.sect	".cinit"
	.align	8
	.field  	$C$IR_1,32
	.field  	_component_dsprite+0,32
	.bits	0,32			; _component_dsprite._fxns._init @ 0
	.bits	_loc_exec,32		; _component_dsprite._fxns._exec @ 32
	.bits	0,32			; _component_dsprite._fxns._exec_fc @ 64
	.bits	0,32			; _component_dsprite._fxns._exit @ 96
	.bits	100,8			; _component_dsprite._name[0] @ 128
	.bits	115,8			; _component_dsprite._name[1] @ 136
	.bits	112,8			; _component_dsprite._name[2] @ 144
	.bits	114,8			; _component_dsprite._name[3] @ 152
	.bits	105,8			; _component_dsprite._name[4] @ 160
	.bits	116,8			; _component_dsprite._name[5] @ 168
	.bits	101,8			; _component_dsprite._name[6] @ 176
	.bits	0,8			; _component_dsprite._name[7] @ 184
$C$IR_1:	.set	24

	.global	_syscalls
_syscalls:	.usect	".sec_mlb_syscalls",208,4
	.global	_xxx
_xxx:	.usect	".far",4,4
	.global	_component_dsprite
_component_dsprite:	.usect	".sec_com",52,4
;	opt6x /tmp/27719KZ2XGL /tmp/27719mjCmKY 
	.sect	".text"
	.clink

;******************************************************************************
;* FUNCTION NAME: loc_multi_alphatest_argb32                                  *
;*                                                                            *
;*   Regs Modified     : A0,A3,A5,A7                                          *
;*   Regs Used         : A0,A3,A4,A5,A6,A7,B3,B4                              *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_loc_multi_alphatest_argb32:
;** --------------------------------------------------------------------------*
;**  	-----------------------    #pragma MUST_ITERATE(64, 1024, 8)
;** 56	-----------------------    if ( (i = 0u) >= _num ) goto g5;

           ZERO    .L1     A3                ; |56| 
||         MV      .S1X    B4,A7             ; |50| 

           CMPLTU  .L1     A3,A6,A0          ; |56| 

   [!A0]   BNOP    .S1     $C$L2,5           ; |56| 
|| [ A0]   LDW     .D1T1   *+A4[A3],A5       ; |58| 

           ; BRANCHCC OCCURS {$C$L2}         ; |56| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: Software pipelining disabled
;*----------------------------------------------------------------------------*
$C$L1:    
;**	-----------------------g2:
;** 58	-----------------------    src = _s[i];
;** 59	-----------------------    if ( !(src>>24) ) goto g4;
;** 59	-----------------------    _d[i] = src;
;**	-----------------------g4:
;** 56	-----------------------    if ( (++i) < _num ) goto g2;
;** --------------------------------------------------------------------------*
           SHRU    .S1     A5,24,A0          ; |59| 

   [ A0]   STW     .D1T1   A5,*+A7[A3]       ; |59| 
||         ADD     .L1     1,A3,A3           ; |56| 

           CMPLTU  .L1     A3,A6,A0          ; |56| 

   [ A0]   BNOP    .S1     $C$L1,5           ; |56| 
|| [ A0]   LDW     .D1T1   *+A4[A3],A5       ; |58| 

           ; BRANCHCC OCCURS {$C$L1}         ; |56| 
;** --------------------------------------------------------------------------*
;**	-----------------------g5:
;**  	-----------------------    return;
;** --------------------------------------------------------------------------*
$C$L2:    
           RETNOP  .S2     B3,5              ; |64| 
           ; BRANCH OCCURS {B3}              ; |64| 
	.sect	".text"
	.clink

;******************************************************************************
;* FUNCTION NAME: loc_multi_premul_srcover_argb32                             *
;*                                                                            *
;*   Regs Modified     : A0,A3,A5,A7,A8,A9,B4,B5,A16,A17,A18,A27,A28,A29,A30, *
;*                           A31                                              *
;*   Regs Used         : A0,A3,A4,A5,A6,A7,A8,A9,B3,B4,B5,A16,A17,A18,A27,A28,*
;*                           A29,A30,A31                                      *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_loc_multi_premul_srcover_argb32:
;** --------------------------------------------------------------------------*
;**  	-----------------------    #pragma MUST_ITERATE(64, 1024, 8)
;** 78	-----------------------    if ( (i = 0u) >= _num ) goto g3;

           ZERO    .L1     A3                ; |78| 
||         MV      .S1X    B4,A5             ; |68| 

           CMPLTU  .L1     A3,A6,A0          ; |78| 

   [!A0]   BNOP    .S1     $C$L4,2           ; |78| 
|| [ A0]   LDW     .D1T1   *+A4[A3],A9       ; |83| 

   [ A0]   LDW     .D1T1   *+A5[A3],A16      ; |84| 
           NOP             2
           ; BRANCHCC OCCURS {$C$L4}         ; |78| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: Software pipelining disabled
;*----------------------------------------------------------------------------*
$C$L3:    
;**	-----------------------g2:
;** 83	-----------------------    src = _s[i];
;** 84	-----------------------    dst = _d[i];
;** 93	-----------------------    sa = src>>24;
;** 94	-----------------------    sa += sa&1u;
;** 95	-----------------------    omsa = 256u-sa;
;** 98	-----------------------    dr = (dst&0xff0000u)*omsa>>8&0xff0000u;
;** 102	-----------------------    dg = (dst&0xff00u)*omsa>>8&0xff00u;
;** 106	-----------------------    db = _mpyu(dst&0xffu, omsa)<<16>>24u;
;** 110	-----------------------    dst = dr|dg|db;
;** 112	-----------------------    _d[i] = _saddu4(src, dst);
;** 78	-----------------------    if ( (++i) < _num ) goto g2;
;**	-----------------------g3:
;**  	-----------------------    return;
;** --------------------------------------------------------------------------*

           SHRU    .S1     A9,24,A7          ; |93| 
||         ZERO    .L2     B4
||         ZERO    .S2     B5
||         ZERO    .L1     A29

           AND     .L1     1,A7,A8           ; |94| 
||         MVK     .S1     256,A31           ; |95| 
||         SET     .S2     B5,0x10,0x17,B5

           ADD     .L1     A8,A7,A7          ; |94| 
||         SET     .S2     B4,0x8,0xf,B4
||         EXTU    .S1     A16,24,24,A28     ; |106| 

           SUB     .L1     A31,A7,A7         ; |95| 
||         AND     .L2X    B4,A16,B4         ; |102| 
||         AND     .D1X    B5,A16,A30        ; |98| 
||         SET     .S1     A29,0x8,0xf,A8

           MPY32   .M1     A7,A30,A17        ; |98| 
           MPY32   .M2X    A7,B4,B4          ; |102| 
           MV      .L1X    B5,A18            ; |95| 
           MPYU    .M1     A28,A7,A27        ; |106| 
           SHRU    .S1     A17,8,A16         ; |98| 
           SHRU    .S2     B4,8,B4           ; |102| 
           AND     .L1     A18,A16,A16       ; |98| 
           AND     .L1X    A8,B4,A8          ; |102| 

           OR      .L1     A8,A16,A7         ; |110| 
||         EXTU    .S1     A27,16,24,A8      ; |106| 

           OR      .L1     A8,A7,A7          ; |110| 
           SADDU4  .S1     A9,A7,A7          ; |112| 

           STW     .D1T1   A7,*+A5[A3]       ; |112| 
||         ADD     .L1     1,A3,A3           ; |78| 

           CMPLTU  .L1     A3,A6,A0          ; |78| 

   [ A0]   B       .S1     $C$L3             ; |78| 
|| [ A0]   LDW     .D1T1   *+A4[A3],A9       ; |83| 

   [ A0]   LDW     .D1T1   *+A5[A3],A16      ; |84| 
           NOP             4
           ; BRANCHCC OCCURS {$C$L3}         ; |78| 
;** --------------------------------------------------------------------------*
$C$L4:    
           RETNOP  .S2     B3,5              ; |161| 
           ; BRANCH OCCURS {B3}              ; |161| 
	.sect	".text"
	.clink

;******************************************************************************
;* FUNCTION NAME: loc_multi_srcover_argb32                                    *
;*                                                                            *
;*   Regs Modified     : A0,A3,A5,A7,A8,A9,B4,B5,B6,B7,B8,A16,A17,A31         *
;*   Regs Used         : A0,A3,A4,A5,A6,A7,A8,A9,B3,B4,B5,B6,B7,B8,A16,A17,   *
;*                           A31                                              *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_loc_multi_srcover_argb32:
;** --------------------------------------------------------------------------*
;**  	-----------------------    #pragma MUST_ITERATE(64, 1024, 8)
;** 175	-----------------------    if ( (i = 0u) >= _num ) goto g3;

           ZERO    .L1     A3                ; |175| 
||         MV      .S1X    B4,A5             ; |165| 

           CMPLTU  .L1     A3,A6,A0          ; |175| 

   [!A0]   B       .S1     $C$L6             ; |175| 
|| [ A0]   LDW     .D1T2   *+A5[A3],B5       ; |180| 

   [ A0]   LDW     .D1T1   *+A4[A3],A9       ; |179| 
           NOP             4
           ; BRANCHCC OCCURS {$C$L6}         ; |175| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: Software pipelining disabled
;*----------------------------------------------------------------------------*
$C$L5:    
;**	-----------------------g2:
;** 179	-----------------------    src = _s[i];
;** 180	-----------------------    dst = _d[i];
;** 184	-----------------------    sa = src>>24;
;** 185	-----------------------    sa += sa&1;
;** 188	-----------------------    sr = src<<8>>24u;
;** 189	-----------------------    dr = dst<<8>>24u;
;** 190	-----------------------    dr += (sr-dr)*sa>>8;
;** 192	-----------------------    sg = src<<16>>24u;
;** 193	-----------------------    dg = dst<<16>>24u;
;** 194	-----------------------    dg += (sg-dg)*sa>>8;
;** 196	-----------------------    sb = src&0xffu;
;** 197	-----------------------    db = dst&0xffu;
;** 198	-----------------------    db += (sb-db)*sa>>8;
;** 200	-----------------------    _d[i] = (unsigned)(((int)(unsigned char)dr<<8|(unsigned char)dg)<<8)|(unsigned)(unsigned char)db;
;** 175	-----------------------    if ( (++i) < _num ) goto g2;
;**	-----------------------g3:
;**  	-----------------------    return;
;** --------------------------------------------------------------------------*

           EXTU    .S1     A9,16,24,A16      ; |192| 
||         EXTU    .S2     B5,8,24,B6        ; |189| 

           EXTU    .S1     A9,24,24,A7       ; |196| 
||         EXTU    .S2     B5,16,24,B4       ; |193| 

           SHRU    .S1     A9,24,A8          ; |184| 
||         EXTU    .S2     B4,16,16,B7       ; |193| 

           EXTU    .S1     A9,8,24,A17       ; |188| 
||         EXTU    .S2     B6,16,16,B4       ; |189| 

           EXTU    .S1     A16,16,16,A9      ; |192| 
||         EXTU    .S2     B5,24,24,B5       ; |197| 

           EXTU    .S1     A7,16,16,A16      ; |196| 
||         AND     .L1     1,A8,A7           ; |185| 
||         EXTU    .S2     B5,16,16,B8       ; |197| 

           ADD     .L1     A7,A8,A7          ; |185| 
||         SUB     .L2X    A9,B7,B6          ; |194| 
||         EXTU    .S1     A17,16,16,A31     ; |188| 

           EXTU    .S1     A7,16,16,A7       ; |185| 
||         SUB     .L1X    A31,B4,A8         ; |190| 
||         SUB     .L2X    A16,B8,B5         ; |198| 

           MPY32   .M1     A7,A8,A8          ; |190| 

           MPY32   .M2X    A7,B6,B6          ; |194| 
||         MPY32   .M1X    A7,B5,A7          ; |198| 

           NOP             2
           SHR     .S1     A8,8,A9           ; |190| 
           SHR     .S1     A7,8,A7           ; |198| 

           SHR     .S1X    B6,8,A8           ; |194| 
||         ADD     .L2X    A9,B4,B4          ; |190| 

           ADD     .L1X    A8,B7,A8          ; |194| 
||         EXTU    .S2     B4,16,16,B4       ; |190| 

           EXTU    .S1     A8,16,16,A8       ; |194| 
||         EXTU    .S2     B4,24,16,B4       ; |200| 

           EXTU    .S1     A8,24,24,A7       ; |200| 
||         ADD     .L1X    A7,B8,A8          ; |198| 

           EXTU    .S1     A8,16,16,A8       ; |198| 

           OR      .L2X    A7,B4,B4          ; |200| 
||         EXTU    .S1     A8,24,24,A7       ; |200| 

           SHL     .S2     B4,8,B4           ; |200| 
           OR      .L2X    A7,B4,B4          ; |200| 

           STW     .D1T2   B4,*+A5[A3]       ; |200| 
||         ADD     .L1     1,A3,A3           ; |175| 

           CMPLTU  .L1     A3,A6,A0          ; |175| 

   [ A0]   B       .S1     $C$L5             ; |175| 
|| [ A0]   LDW     .D1T2   *+A5[A3],B5       ; |180| 

   [ A0]   LDW     .D1T1   *+A4[A3],A9       ; |179| 
           NOP             4
           ; BRANCHCC OCCURS {$C$L5}         ; |175| 
;** --------------------------------------------------------------------------*
$C$L6:    
           RETNOP  .S2     B3,5              ; |207| 
           ; BRANCH OCCURS {B3}              ; |207| 
	.sect	".text"
	.clink

;******************************************************************************
;* FUNCTION NAME: loc_nops                                                    *
;*                                                                            *
;*   Regs Modified     : A0,A3,A4,B4,B5                                       *
;*   Regs Used         : A0,A3,A4,B3,B4,B5                                    *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_loc_nops:
;** --------------------------------------------------------------------------*
;** 216	-----------------------    xxx = 42u;
;** 219	-----------------------    if ( (i = 0u) >= 8000000u ) goto g3;
           MVKL    .S1     0x7a1200,A4

           MVKH    .S1     0x7a1200,A4
||         ZERO    .L1     A3                ; |219| 

           CMPLTU  .L1     A3,A4,A0          ; |219| 
   [!A0]   BNOP    .S1     $C$L8,1           ; |219| 
           MVKL    .S2     _xxx,B5
           MVK     .S2     42,B4             ; |216| 
           MVKH    .S2     _xxx,B5
           STW     .D2T2   B4,*B5            ; |216| 
           ; BRANCHCC OCCURS {$C$L8}         ; |219| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: Software pipelining disabled
;*----------------------------------------------------------------------------*
$C$L7:    
;**	-----------------------g2:
;** 221	-----------------------    asm("\n\tnop");
;
	nop
;** 222	-----------------------    asm("\n\tnop");
;
	nop
;** 223	-----------------------    asm("\n\tnop");
;
	nop
;** 224	-----------------------    asm("\n\tnop");
;
	nop
;** 225	-----------------------    asm("\n\tnop");
;
	nop
;** 226	-----------------------    asm("\n\tnop");
;
	nop
;** 227	-----------------------    asm("\n\tnop");
;
	nop
;** 228	-----------------------    asm("\n\tnop");
;
	nop
;** 229	-----------------------    asm("\n\tnop");
;
	nop
;** 230	-----------------------    asm("\n\tnop");
;
	nop
;** 232	-----------------------    asm("\n\tnop");
;
	nop
;** 233	-----------------------    asm("\n\tnop");
;
	nop
;** 234	-----------------------    asm("\n\tnop");
;
	nop
;** 235	-----------------------    asm("\n\tnop");
;
	nop
;** 236	-----------------------    asm("\n\tnop");
;
	nop
;** 237	-----------------------    asm("\n\tnop");
;
	nop
;** 238	-----------------------    asm("\n\tnop");
;
	nop
;** 239	-----------------------    asm("\n\tnop");
;
	nop
;** 240	-----------------------    asm("\n\tnop");
;
	nop
;** 241	-----------------------    asm("\n\tnop");
;
	nop
;** 243	-----------------------    asm("\n\tnop");
;
	nop
;** 244	-----------------------    asm("\n\tnop");
;
	nop
;** 245	-----------------------    asm("\n\tnop");
;
	nop
;** 246	-----------------------    asm("\n\tnop");
;
	nop
;** 247	-----------------------    asm("\n\tnop");
;
	nop
;** 248	-----------------------    asm("\n\tnop");
;
	nop
;** 249	-----------------------    asm("\n\tnop");
;
	nop
;** 250	-----------------------    asm("\n\tnop");
;
	nop
;** 251	-----------------------    asm("\n\tnop");
;
	nop
;** 252	-----------------------    asm("\n\tnop");
;
	nop
;** 254	-----------------------    asm("\n\tnop");
;
	nop
;** 255	-----------------------    asm("\n\tnop");
;
	nop
;** 256	-----------------------    asm("\n\tnop");
;
	nop
;** 257	-----------------------    asm("\n\tnop");
;
	nop
;** 258	-----------------------    asm("\n\tnop");
;
	nop
;** 259	-----------------------    asm("\n\tnop");
;
	nop
;** 260	-----------------------    asm("\n\tnop");
;
	nop
;** 261	-----------------------    asm("\n\tnop");
;
	nop
;** 262	-----------------------    asm("\n\tnop");
;
	nop
;** 263	-----------------------    asm("\n\tnop");
;
	nop
;** 265	-----------------------    asm("\n\tnop");
;
	nop
;** 266	-----------------------    asm("\n\tnop");
;
	nop
;** 267	-----------------------    asm("\n\tnop");
;
	nop
;** 268	-----------------------    asm("\n\tnop");
;
	nop
;** 269	-----------------------    asm("\n\tnop");
;
	nop
;** 270	-----------------------    asm("\n\tnop");
;
	nop
;** 271	-----------------------    asm("\n\tnop");
;
	nop
;** 272	-----------------------    asm("\n\tnop");
;
	nop
;** 273	-----------------------    asm("\n\tnop");
;
	nop
;** 274	-----------------------    asm("\n\tnop");
;
	nop
;** 276	-----------------------    asm("\n\tnop");
;
	nop
;** 277	-----------------------    asm("\n\tnop");
;
	nop
;** 278	-----------------------    asm("\n\tnop");
;
	nop
;** 279	-----------------------    asm("\n\tnop");
;
	nop
;** 280	-----------------------    asm("\n\tnop");
;
	nop
;** 281	-----------------------    asm("\n\tnop");
;
	nop
;** 282	-----------------------    asm("\n\tnop");
;
	nop
;** 283	-----------------------    asm("\n\tnop");
;
	nop
;** 284	-----------------------    asm("\n\tnop");
;
	nop
;** 285	-----------------------    asm("\n\tnop");
;
	nop
;** 287	-----------------------    asm("\n\tnop");
;
	nop
;** 288	-----------------------    asm("\n\tnop");
;
	nop
;** 289	-----------------------    asm("\n\tnop");
;
	nop
;** 290	-----------------------    asm("\n\tnop");
;
	nop
;** 291	-----------------------    asm("\n\tnop");
;
	nop
;** 292	-----------------------    asm("\n\tnop");
;
	nop
;** 293	-----------------------    asm("\n\tnop");
;
	nop
;** 294	-----------------------    asm("\n\tnop");
;
	nop
;** 295	-----------------------    asm("\n\tnop");
;
	nop
;** 296	-----------------------    asm("\n\tnop");
;
	nop
;** 298	-----------------------    asm("\n\tnop");
;
	nop
;** 299	-----------------------    asm("\n\tnop");
;
	nop
;** 300	-----------------------    asm("\n\tnop");
;
	nop
;** 301	-----------------------    asm("\n\tnop");
;
	nop
;** 302	-----------------------    asm("\n\tnop");
;
	nop
;** 303	-----------------------    asm("\n\tnop");
;
	nop
;** 304	-----------------------    asm("\n\tnop");
;
	nop
;** 305	-----------------------    asm("\n\tnop");
;
	nop
;** 306	-----------------------    asm("\n\tnop");
;
	nop
;** 307	-----------------------    asm("\n\tnop");
;
	nop
;** 309	-----------------------    asm("\n\tnop");
;
	nop
;** 310	-----------------------    asm("\n\tnop");
;
	nop
;** 311	-----------------------    asm("\n\tnop");
;
	nop
;** 312	-----------------------    asm("\n\tnop");
;
	nop
;** 313	-----------------------    asm("\n\tnop");
;
	nop
;** 314	-----------------------    asm("\n\tnop");
;
	nop
;** 315	-----------------------    asm("\n\tnop");
;
	nop
;** 316	-----------------------    asm("\n\tnop");
;
	nop
;** 317	-----------------------    asm("\n\tnop");
;
	nop
;** 318	-----------------------    asm("\n\tnop");
;
	nop
;** 320	-----------------------    asm("\n\tnop");
;
	nop
;** 321	-----------------------    asm("\n\tnop");
;
	nop
;** 322	-----------------------    asm("\n\tnop");
;
	nop
;** 323	-----------------------    asm("\n\tnop");
;
	nop
;** 324	-----------------------    asm("\n\tnop");
;
	nop
;** 325	-----------------------    asm("\n\tnop");
;
	nop
;** 326	-----------------------    asm("\n\tnop");
;
	nop
;** 327	-----------------------    asm("\n\tnop");
;
	nop
;** 328	-----------------------    asm("\n\tnop");
;
	nop
;** 329	-----------------------    asm("\n\tnop");
;
	nop
;** 219	-----------------------    if ( (++i) < 8000000u ) goto g2;
           ADD     .L1     1,A3,A3           ; |219| 
           CMPLTU  .L1     A3,A4,A0          ; |219| 
   [ A0]   BNOP    .S1     $C$L7,5           ; |219| 
           ; BRANCHCC OCCURS {$C$L7}         ; |219| 
;** --------------------------------------------------------------------------*
;**	-----------------------g3:
;**  	-----------------------    return;
;** --------------------------------------------------------------------------*
$C$L8:    
           RETNOP  .S2     B3,5              ; |331| 
           ; BRANCH OCCURS {B3}              ; |331| 
	.sect	".text"
	.clink

;******************************************************************************
;* FUNCTION NAME: loc_process                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,   *
;*                           B13,SP,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,  *
;*                           A26,A27,A28,A29,A30,A31,B16,B17,B18,B19,B20,B21, *
;*                           B22,B23,B24,B25,B26,B27,B28,B29,B30,B31          *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,   *
;*                           B13,DP,SP,A16,A17,A18,A19,A20,A21,A22,A23,A24,   *
;*                           A25,A26,A27,A28,A29,A30,A31,B16,B17,B18,B19,B20, *
;*                           B21,B22,B23,B24,B25,B26,B27,B28,B29,B30,B31      *
;*   Local Frame Size  : 0 Args + 16 Auto + 56 Save = 72 byte                 *
;******************************************************************************
_loc_process:
;** --------------------------------------------------------------------------*
;** 335	-----------------------    _union = *_union;
;** 338	-----------------------    (*syscalls.qdma_init)();
           STW     .D2T1   A11,*SP--(8)      ; |335| 
           STW     .D2T1   A10,*SP--(8)      ; |335| 
           STDW    .D2T2   B13:B12,*SP--     ; |335| 
           STDW    .D2T2   B11:B10,*SP--     ; |335| 
           STDW    .D2T1   A15:A14,*SP--     ; |335| 

           STDW    .D2T1   A13:A12,*SP--     ; |335| 
||         MVKL    .S1     _syscalls+192,A3

           STW     .D2T2   B3,*SP--(24)      ; |335| 
||         MVKH    .S1     _syscalls+192,A3

           LDW     .D1T1   *A3,A3            ; |338| 
           LDW     .D1T1   *A4,A11           ; |335| 
           NOP             3
           CALL    .S2X    A3                ; |338| 
           ADDKPC  .S2     $C$RL0,B3,4       ; |338| 
$C$RL0:    ; CALL OCCURS {A3} {0}            ; |338| 

           LDW     .D1T1   *A11,A3           ; |342| 
||         MVKL    .S1     $C$SW1,A4

;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L9
;** --------------------------------------------------------------------------*
$C$L9:    
           MVKH    .S1     $C$SW1,A4
           NOP             3
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L10
;** --------------------------------------------------------------------------*
$C$L10:    
           CMPGTU  .L1     A3,4,A0           ; |342| 
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L11
;** --------------------------------------------------------------------------*
$C$L11:    
;**	-----------------------g2:
;** 342	-----------------------    switch ( *(unsigned *)_union.op ) {case 0u: goto g3;, case 1u: goto g23;, case 2u: goto g7;, case 3u: goto g6;, case 4u: goto g5;, DEFAULT goto g4};

   [ A0]   BNOP    .S1     $C$L13,4          ; |342| 
|| [!A0]   LDW     .D1T1   *+A4[A3],A3       ; |342| 

   [!A0]   B       .S2X    A3                ; |342| 
           ; BRANCHCC OCCURS {$C$L13} {-6}   ; |342| 
;** --------------------------------------------------------------------------*
           NOP             5
           ; BRANCH OCCURS {A3}              ; |342| 
	.sect	".switch:_loc_process"
	.clink
$C$SW1:	.word	$C$L12	; 0
	.word	$C$L27	; 1
	.word	$C$L16	; 2
	.word	$C$L15	; 3
	.word	$C$L14	; 4
	.sect	".text"
;** --------------------------------------------------------------------------*
$C$L12:    
;**	-----------------------g3:
;** 349	-----------------------    return 0u;
           LDW     .D2T2   *++SP(24),B3      ; |538| 
           LDDW    .D2T1   *++SP,A13:A12     ; |538| 
           LDDW    .D2T1   *++SP,A15:A14     ; |538| 
           LDDW    .D2T2   *++SP,B11:B10     ; |538| 
           LDDW    .D2T2   *++SP,B13:B12     ; |538| 

           LDW     .D2T1   *++SP(8),A10      ; |538| 
||         RET     .S2     B3                ; |538| 

           LDW     .D2T1   *++SP(8),A11      ; |538| 
           ZERO    .L1     A4                ; |349| 
           NOP             3
           ; BRANCH OCCURS {B3}              ; |538| 
;** --------------------------------------------------------------------------*
$C$L13:    
;**	-----------------------g4:
;** 346	-----------------------    return _union.u32;
           LDW     .D2T2   *++SP(24),B3      ; |538| 
           LDDW    .D2T1   *++SP,A13:A12     ; |538| 
           LDDW    .D2T1   *++SP,A15:A14     ; |538| 
           LDDW    .D2T2   *++SP,B11:B10     ; |538| 
           LDDW    .D2T2   *++SP,B13:B12     ; |538| 

           LDW     .D2T1   *++SP(8),A10      ; |538| 
||         RET     .S2     B3                ; |538| 

           MV      .L1     A11,A4            ; |346| 
||         LDW     .D2T1   *++SP(8),A11      ; |538| 

           NOP             4
           ; BRANCH OCCURS {B3}              ; |538| 
;** --------------------------------------------------------------------------*
$C$L14:    
;**	-----------------------g5:
;** 378	-----------------------    multi_fxn = &loc_multi_srcover_argb32;
;** 379	-----------------------    goto g8;

           B       .S1     $C$L17            ; |379| 
||         MVKL    .S2     _loc_multi_srcover_argb32,B4

           MVKH    .S2     _loc_multi_srcover_argb32,B4
           NOP             1
           MV      .L1X    B4,A3             ; |378| 
           STW     .D2T1   A3,*+SP(4)        ; |378| 
           LDW     .D1T2   *+A11(12),B4      ; |383| 
           ; BRANCH OCCURS {$C$L17}          ; |379| 
;** --------------------------------------------------------------------------*
$C$L15:    
;**	-----------------------g6:
;** 374	-----------------------    multi_fxn = &loc_multi_premul_srcover_argb32;
;** 375	-----------------------    goto g8;

           B       .S1     $C$L18            ; |375| 
||         MVKL    .S2     _loc_multi_premul_srcover_argb32,B4

           MVKH    .S2     _loc_multi_premul_srcover_argb32,B4
           STW     .D2T2   B4,*+SP(4)        ; |374| 
           LDW     .D1T2   *+A11(12),B4      ; |383| 
           NOP             2
           ; BRANCH OCCURS {$C$L18}          ; |375| 
;** --------------------------------------------------------------------------*
$C$L16:    
;**	-----------------------g7:
;** 370	-----------------------    multi_fxn = &loc_multi_alphatest_argb32;
           MVKL    .S2     _loc_multi_alphatest_argb32,B4
           MVKH    .S2     _loc_multi_alphatest_argb32,B4
           STW     .D2T2   B4,*+SP(4)        ; |370| 
           LDW     .D1T2   *+A11(12),B4      ; |383| 
;** --------------------------------------------------------------------------*
$C$L17:    
           NOP             2
;** --------------------------------------------------------------------------*
$C$L18:    
;**	-----------------------g8:
;** 383	-----------------------    if ( !(num = (*_union.multi).num) ) goto g22;
           NOP             2

           MV      .L1X    B4,A0
||         STW     .D2T2   B4,*+SP(8)        ; |383| 

   [!A0]   B       .S2     $C$L26            ; |383| 
|| [ A0]   LDW     .D1T1   *+A11(4),A3       ; |387| 
|| [!A0]   ADDK    .S1     20,A11            ; |531| 

   [!A0]   BNOP    .S1     $C$L9,4           ; |531| 
|| [ A0]   LDW     .D1T1   *+A11(8),A4       ; |387| 

           ; BRANCHCC OCCURS {$C$L26}        ; |383| 
;** --------------------------------------------------------------------------*
;** 387	-----------------------    if ( (numPix = (*_union.multi).w*(*_union.multi).h) <= 1532u ) goto g11;
;** 525	-----------------------    return _union.u32;
           MPY32   .M1     A4,A3,A13         ; |387| 
           MVK     .S1     1532,A31          ; |387| 
           NOP             2
           CMPGTU  .L1     A13,A31,A0        ; |387| 

   [!A0]   LDW     .D1T1   *+A11(16),A3      ; |400| 
|| [ A0]   B       .S1     $C$L28            ; |525| 
|| [!A0]   MVKL    .S2     0x10f07020,B4
|| [ A0]   MV      .L1     A11,A15           ; |525| 
|| [!A0]   ZERO    .L2     B5
|| [!A0]   ZERO    .D2     B11               ; |398| 

   [!A0]   LDW     .D1T1   *+A11(4),A4       ; |391| 
|| [!A0]   MVKH    .S2     0x10f07020,B4
|| [ A0]   MV      .L1     A15,A4            ; |367| 

   [!A0]   LDW     .D1T1   *+A11(8),A10      ; |392| 
|| [!A0]   ADDK    .S1     20,A11            ; |403| 
|| [!A0]   STW     .D2T2   B4,*+SP(12)       ; |395| 
|| [!A0]   MVKH    .S2     0x10f10000,B5

   [ A0]   LDW     .D2T2   *++SP(24),B3      ; |538| 
|| [!A0]   MV      .L1     A11,A14           ; |403| 
|| [!A0]   MVKL    .S2     0x10f08810,B13

   [ A0]   LDDW    .D2T1   *++SP,A13:A12     ; |538| 
|| [!A0]   MVKL    .S2     0x10f05830,B10

   [ A0]   LDDW    .D2T1   *++SP,A15:A14     ; |538| 
||         ADD     .L1     A3,A11,A11        ; |406| 
|| [!A0]   MVKL    .S2     0x10f04040,B12

           ; BRANCHCC OCCURS {$C$L28}        ; |525| 
;** --------------------------------------------------------------------------*
;**	-----------------------g11:
;** 391	-----------------------    w4 = (*_union.multi).w*4u;
;** 392	-----------------------    h = (*_union.multi).h;
;** 393	-----------------------    workSrc = (unsigned *)0x10f04040u;
;** 394	-----------------------    workDst = (unsigned *)0x10f05830u;
;** 395	-----------------------    workSrcNext = (unsigned *)0x10f07020u;
;** 396	-----------------------    workDstNext = (unsigned *)0x10f08810u;
;** 398	-----------------------    workSrcOverrideNext = NULL;
;** 400	-----------------------    extSz = (*_union.multi).ext_sz;
;** 403	-----------------------    ext = (void *)(_union.multi = _union.multi+20);
;** 406	-----------------------    _union.u32 = _union.u32+extSz;
;** 408	-----------------------    spr = _union.sprite;
;** 411	-----------------------    if ( (*spr).src_phys_addr < 0x10f10000u ) goto g13;

           MVKH    .S2     0x10f05830,B10
||         LDW     .D1T1   *+A11(8),A3       ; |411| 

           SHL     .S1     A4,2,A12          ; |391| 
           MVKH    .S2     0x10f08810,B13
           MVKL    .S1     _syscalls+204,A4
           MVKH    .S1     _syscalls+204,A4
           CMPLTU  .L2X    A3,B5,B0          ; |411| 

   [ B0]   B       .S1     $C$L19            ; |411| 
|| [!B0]   LDW     .D1T1   *A4,A5            ; |418| 

   [ B0]   LDW     .D1T2   *+A11(8),B4       ; |414| 
           MVKH    .S2     0x10f04040,B12
   [!B0]   LDW     .D1T2   *+A11(8),B6       ; |418| 
   [!B0]   LDW     .D1T1   *+A11(12),A8      ; |418| 
   [!B0]   CALL    .S2X    A5                ; |418| 
           ; BRANCHCC OCCURS {$C$L19}        ; |411| 
;** --------------------------------------------------------------------------*
;** 418	-----------------------    (*syscalls.qdma_copy2d)(0u, (void *)workSrc, (int)w4, (void *)(*spr).src_phys_addr, (*spr).src_pitch, w4, h);
;** 427	-----------------------    workSrcOverride = NULL;
;** 427	-----------------------    goto g14;
           MV      .L1X    B11,A4            ; |418| 
           MV      .L2     B12,B4            ; |418| 
           MV      .L2X    A12,B8            ; |418| 
           MV      .L1     A12,A6            ; |418| 
           ADDKPC  .S2     $C$RL1,B3,0       ; |418| 
$C$RL1:    ; CALL OCCURS {A5} {0}            ; |418| 
;** --------------------------------------------------------------------------*

           B       .S2     $C$L20            ; |427| 
||         MVKL    .S1     _syscalls+204,A4
||         MV      .L2     B11,B4            ; |418| 

           MVKH    .S1     _syscalls+204,A4
||         STW     .D2T2   B4,*+SP(16)       ; |427| 
||         MV      .L2     B10,B4            ; |431| 

           LDW     .D1T1   *A4,A5            ; |431| 
           MVK     .L1     0x1,A4            ; |431| 
           LDW     .D1T2   *A11,B6           ; |431| 
           LDW     .D1T1   *+A11(4),A8       ; |431| 
           ; BRANCH OCCURS {$C$L20}          ; |427| 
;** --------------------------------------------------------------------------*
$C$L19:    
;**	-----------------------g13:
;** 414	-----------------------    workSrcOverride = (unsigned *)(*spr).src_phys_addr;

           MVKL    .S1     _syscalls+204,A4
||         STW     .D2T2   B4,*+SP(16)       ; |414| 
||         MV      .L2     B10,B4            ; |431| 

           MVKH    .S1     _syscalls+204,A4
           LDW     .D1T1   *A4,A5            ; |431| 
           LDW     .D1T2   *A11,B6           ; |431| 
           MVK     .L1     0x1,A4            ; |431| 
           LDW     .D1T1   *+A11(4),A8       ; |431| 
;** --------------------------------------------------------------------------*
$C$L20:    
;**	-----------------------g14:
;** 431	-----------------------    (*syscalls.qdma_copy2d)(1u, (void *)workDst, (int)w4, (void *)(*spr).dst_phys_addr, (*spr).dst_pitch, w4, h);
;** 440	-----------------------    if ( !num ) goto g21;
           MV      .L2X    A12,B8            ; |431| 
           CALL    .S2X    A5                ; |431| 
           MV      .L1     A12,A6            ; |431| 
           ADDKPC  .S2     $C$RL2,B3,3       ; |431| 
$C$RL2:    ; CALL OCCURS {A5} {0}            ; |431| 
;** --------------------------------------------------------------------------*
           LDW     .D2T1   *+SP(8),A0        ; |431| 
           MVKL    .S2     _syscalls+196,B4
           MVKH    .S2     _syscalls+196,B4
           NOP             2

   [!A0]   BNOP    .S1     $C$L25,5          ; |440| 
|| [ A0]   LDW     .D2T2   *B4,B4            ; |443| 

           ; BRANCHCC OCCURS {$C$L25}        ; |440| 
;** --------------------------------------------------------------------------*

           ZERO    .L1     A4                ; |443| 
||         CALL    .S2     B4                ; |443| 

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: Software pipelining disabled
;*      Disqualified loop: Loop contains a call
;*      Disqualified loop: Loop contains non-pipelinable instructions
;*      Disqualified loop: Loop contains a call
;*      Disqualified loop: Loop contains non-pipelinable instructions
;*      Disqualified loop: Loop contains control code
;*----------------------------------------------------------------------------*
$C$L21:    
;**	-----------------------g15:
;** 443	-----------------------    (*syscalls.qdma_wait)(0u);
;** 444	-----------------------    (*syscalls.qdma_wait)(1u);
;** 446	-----------------------    if ( !(--num) ) goto g20;
           ADDKPC  .S2     $C$RL3,B3,4       ; |443| 
$C$RL3:    ; CALL OCCURS {B4} {0}            ; |443| 
;** --------------------------------------------------------------------------*
           MVKL    .S1     _syscalls+196,A3
           MVKH    .S1     _syscalls+196,A3
           LDW     .D1T1   *A3,A3            ; |444| 
           MVK     .L1     0x1,A4            ; |444| 
           NOP             3
           CALL    .S2X    A3                ; |444| 
           ADDKPC  .S2     $C$RL4,B3,4       ; |444| 
$C$RL4:    ; CALL OCCURS {A3} {0}            ; |444| 
;** --------------------------------------------------------------------------*
           LDW     .D2T2   *+SP(8),B4        ; |444| 
           LDW     .D2T2   *+SP(4),B5        ; |482| 
           NOP             3

           SUB     .L1X    B4,1,A0           ; |446| 
||         SUB     .L2     B4,1,B4           ; |446| 

   [!A0]   B       .S1     $C$L24            ; |446| 
||         STW     .D2T2   B4,*+SP(8)        ; |446| 
||         MV      .L1     A0,A2             ; guard predicate rewrite
|| [ A0]   ZERO    .D1     A4

   [ A0]   LDW     .D1T1   *+A11(24),A3      ; |448| 
|| [ A0]   MVKH    .S1     0x10f10000,A4

   [!A2]   CALL    .S2     B5                ; |482| 
|| [!A0]   LDW     .D2T1   *+SP(16),A0

           NOP             3
           ; BRANCHCC OCCURS {$C$L24}        ; |446| 
;** --------------------------------------------------------------------------*
;** 448	-----------------------    if ( *((unsigned *)spr+24) < 0x10f10000u ) goto g18;

           CMPLTU  .L1     A3,A4,A0          ; |448| 
||         MVKL    .S1     _syscalls+204,A4

   [ A0]   B       .S2     $C$L22            ; |448| 
||         MVKH    .S1     _syscalls+204,A4

   [!A0]   LDW     .D1T1   *A4,A5            ; |456| 
   [ A0]   LDW     .D1T2   *+A11(24),B11     ; |451| 
           NOP             3
           ; BRANCHCC OCCURS {$C$L22}        ; |448| 
;** --------------------------------------------------------------------------*
;** 456	-----------------------    (*syscalls.qdma_copy2d)(0u, (void *)workSrcNext, (int)w4, (void *)*((unsigned *)spr+24), *((int *)spr+28), w4, h);
;** 465	-----------------------    workSrcOverrideNext = NULL;
;** 465	-----------------------    goto g19;

           CALL    .S2X    A5                ; |456| 
||         LDW     .D2T2   *+SP(12),B4       ; |456| 
||         LDW     .D1T1   *+A11(28),A8      ; |456| 

           LDW     .D1T2   *+A11(24),B6      ; |456| 
           ADDKPC  .S2     $C$RL5,B3,2       ; |456| 

           ZERO    .L1     A4                ; |456| 
||         MV      .S1     A12,A6            ; |456| 
||         MV      .L2X    A12,B8            ; |456| 

$C$RL5:    ; CALL OCCURS {A5} {0}            ; |456| 
;** --------------------------------------------------------------------------*

           B       .S2     $C$L23            ; |465| 
||         MVKL    .S1     _syscalls+204,A4

           MVKH    .S1     _syscalls+204,A4
           LDW     .D1T1   *A4,A5            ; |469| 
           MVK     .L1     0x1,A4            ; |469| 
           ZERO    .L2     B11               ; |465| 
           NOP             1
           ; BRANCH OCCURS {$C$L23}          ; |465| 
;** --------------------------------------------------------------------------*
$C$L22:    
;**	-----------------------g18:
;** 451	-----------------------    workSrcOverrideNext = (unsigned *)*((unsigned *)spr+24);
           MVKL    .S1     _syscalls+204,A4
           MVKH    .S1     _syscalls+204,A4
           LDW     .D1T1   *A4,A5            ; |469| 
           MVK     .L1     0x1,A4            ; |469| 
           NOP             2
;** --------------------------------------------------------------------------*
$C$L23:    
;**	-----------------------g19:
;** 469	-----------------------    (*syscalls.qdma_copy2d)(1u, (void *)workDstNext, (int)w4, (void *)*((unsigned *)spr+16), *((int *)spr+20), w4, h);
           LDW     .D1T1   *+A11(20),A8      ; |469| 
           CALL    .S2X    A5                ; |469| 
           LDW     .D1T2   *+A11(16),B6      ; |469| 
           ADDKPC  .S2     $C$RL6,B3,2       ; |469| 

           MV      .L2     B13,B4            ; |469| 
||         MV      .S2X    A12,B8            ; |469| 
||         MV      .L1     A12,A6            ; |469| 

$C$RL6:    ; CALL OCCURS {A5} {0}            ; |469| 
           LDW     .D2T2   *+SP(4),B5        ; |482| 
           LDW     .D2T1   *+SP(16),A0
           NOP             3
           CALL    .S2     B5                ; |482| 
           NOP             3
;** --------------------------------------------------------------------------*
$C$L24:    
;**	-----------------------g20:
;** 482	-----------------------    workSrcOverride ? (S$1 = workSrcOverride) : (S$1 = workSrc);
;** 482	-----------------------    (*multi_fxn)(S$1, workDst, numPix, ext);
;** 486	-----------------------    (*syscalls.qdma_wait)(2u);
;** 489	-----------------------    (*syscalls.qdma_copy2d)(2u, (void *)(*spr).dst_phys_addr, (*spr).dst_pitch, (const void *)workDst, (int)w4, w4, h);
;** 502	-----------------------    t = (void *)workSrc;
;** 503	-----------------------    workSrc = workSrcNext;
;** 504	-----------------------    workSrcNext = (unsigned *)t;
;** 506	-----------------------    t = (void *)workDst;
;** 507	-----------------------    workDst = workDstNext;
;** 508	-----------------------    workDstNext = (unsigned *)t;
;** 511	-----------------------    workSrcOverride = workSrcOverrideNext;
;** 514	-----------------------    spr = _union.sprite = _union.sprite+16;
;** 440	-----------------------    if ( num ) goto g15;
           MV      .L2     B10,B4            ; |482| 

           MV      .L1     A13,A6            ; |482| 
||         MV      .L2X    A14,B6            ; |482| 
||         ADDKPC  .S2     $C$RL7,B3,0       ; |482| 
|| [!A0]   MV      .S1X    B12,A4            ; |482| 
|| [ A0]   MV      .D1     A0,A4

$C$RL7:    ; CALL OCCURS {VR233} {0}         ; |482| 
;** --------------------------------------------------------------------------*
           MVKL    .S2     _syscalls+196,B4
           MVKH    .S2     _syscalls+196,B4
           LDW     .D2T2   *B4,B4            ; |486| 
           MVK     .L1     0x2,A4            ; |486| 
           NOP             3
           CALL    .S2     B4                ; |486| 
           ADDKPC  .S2     $C$RL8,B3,4       ; |486| 
$C$RL8:    ; CALL OCCURS {B4} {0}            ; |486| 
           MVKL    .S1     _syscalls+204,A4
           MVKH    .S1     _syscalls+204,A4
           LDW     .D1T1   *A4,A5            ; |489| 
           LDW     .D1T1   *+A11(4),A6       ; |489| 
           LDW     .D1T2   *A11,B4           ; |489| 
           MVK     .L1     0x2,A4            ; |489| 
           MV      .L2     B10,B6            ; |489| 
           CALL    .S2X    A5                ; |489| 
           MV      .L1     A12,A8            ; |489| 
           MV      .L2X    A12,B8            ; |489| 
           ADDKPC  .S2     $C$RL9,B3,2       ; |489| 
$C$RL9:    ; CALL OCCURS {A5} {0}            ; |489| 
;** --------------------------------------------------------------------------*
           LDW     .D2T1   *+SP(8),A0        ; |508| 
           MVKL    .S2     _syscalls+196,B4
           MVKH    .S2     _syscalls+196,B4
           MV      .L1X    B10,A3            ; |506| 
           STW     .D2T2   B11,*+SP(16)      ; |511| 

   [ A0]   BNOP    .S1     $C$L21,3          ; |440| 
|| [ A0]   LDW     .D2T2   *B4,B4            ; |443| 

           MV      .L1X    B12,A4            ; |502| 
||         MV      .L2     B13,B10           ; |507| 
||         LDW     .D2T2   *+SP(12),B12      ; |514| 

   [ A0]   CALL    .S2     B4                ; |443| 
||         MV      .L2X    A3,B13            ; |508| 
||         ADDK    .S1     16,A11            ; |514| 
||         STW     .D2T1   A4,*+SP(12)       ; |504| 
|| [ A0]   ZERO    .L1     A4                ; |443| 

           ; BRANCHCC OCCURS {$C$L21}        ; |440| 
;** --------------------------------------------------------------------------*
$C$L25:    
;**	-----------------------g21:
;** 519	-----------------------    (*syscalls.qdma_wait)(2u);
;** 521	-----------------------    goto g2;
           MVKL    .S1     _syscalls+196,A3
           MVKH    .S1     _syscalls+196,A3
           LDW     .D1T1   *A3,A3            ; |519| 
           MVK     .L1     0x2,A4            ; |519| 
           NOP             3
           CALL    .S2X    A3                ; |519| 
           ADDKPC  .S2     $C$RL10,B3,4      ; |519| 
$C$RL10:   ; CALL OCCURS {A3} {0}            ; |519| 
;** --------------------------------------------------------------------------*

           BNOP    .S2     $C$L11,3          ; |521| 
||         LDW     .D1T1   *A11,A3           ; |342| 
||         MVKL    .S1     $C$SW1,A4

           MVKH    .S1     $C$SW1,A4
           CMPGTU  .L1     A3,4,A0           ; |342| 
           ; BRANCH OCCURS {$C$L11}          ; |521| 
;** --------------------------------------------------------------------------*
$C$L26:    
;**	-----------------------g22:
;** 531	-----------------------    _union.multi = _union.multi+20;
;** 531	-----------------------    goto g2;

           LDW     .D1T1   *A11,A3           ; |342| 
||         MVKL    .S1     $C$SW1,A4

           ; BRANCH OCCURS {$C$L9}           ; |531| 
;** --------------------------------------------------------------------------*
$C$L27:    
;**	-----------------------g23:
;** 353	-----------------------    (*syscalls.qdma_copy2d)(0u, (void *)(*_union.copy).sprite.dst_phys_addr, (*_union.copy).sprite.dst_pitch, (void *)(*_union.copy).sprite.src_phys_addr, (*_union.copy).sprite.src_pitch, (*_union.copy).num_bytes_x, (*_union.copy).num_y);
;** 362	-----------------------    (*syscalls.qdma_wait)(0u);
;** 365	-----------------------    _union.copy = _union.copy+28;
;** 367	-----------------------    goto g2;
           MVKL    .S2     _syscalls+204,B4
           MVKH    .S2     _syscalls+204,B4
           LDW     .D2T2   *B4,B5            ; |353| 
           LDW     .D1T2   *+A11(4),B8       ; |353| 
           LDW     .D1T1   *+A11(24),A8      ; |353| 
           LDW     .D1T2   *+A11(20),B6      ; |353| 
           LDW     .D1T1   *+A11(16),A6      ; |353| 

           CALL    .S2     B5                ; |353| 
||         LDW     .D1T1   *+A11(8),A10      ; |353| 

           LDW     .D1T2   *+A11(12),B4      ; |353| 
           ADDKPC  .S2     $C$RL11,B3,2      ; |353| 
           ZERO    .L1     A4                ; |353| 
$C$RL11:   ; CALL OCCURS {B5} {0}            ; |353| 
;** --------------------------------------------------------------------------*
           MVKL    .S1     _syscalls+196,A3
           MVKH    .S1     _syscalls+196,A3
           LDW     .D1T1   *A3,A3            ; |362| 
           ZERO    .L1     A4                ; |362| 
           NOP             3
           CALL    .S2X    A3                ; |362| 
           ADDKPC  .S2     $C$RL12,B3,4      ; |362| 
$C$RL12:   ; CALL OCCURS {A3} {0}            ; |362| 
;** --------------------------------------------------------------------------*

           B       .S2     $C$L10            ; |367| 
||         ADDK    .S1     28,A11            ; |365| 

           LDW     .D1T1   *A11,A3           ; |342| 
           MVKL    .S1     $C$SW1,A4
           MVKH    .S1     $C$SW1,A4
           NOP             2
           ; BRANCH OCCURS {$C$L10}          ; |367| 
;** --------------------------------------------------------------------------*
$C$L28:    
           LDDW    .D2T2   *++SP,B11:B10     ; |538| 
           LDDW    .D2T2   *++SP,B13:B12     ; |538| 

           RET     .S2     B3                ; |538| 
||         LDW     .D2T1   *++SP(8),A10      ; |538| 

           LDW     .D2T1   *++SP(8),A11      ; |538| 
           NOP             4
           ; BRANCH OCCURS {B3}              ; |538| 
	.sect	".text"
	.clink

;******************************************************************************
;* FUNCTION NAME: loc_exec                                                    *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,B10,B11,SP,A16,A17,A18,A19,A20,A21,A22, *
;*                           A23,A24,A25,A26,A27,A28,A29,A30,A31,B16,B17,B18, *
;*                           B19,B20,B21,B22,B23,B24,B25,B26,B27,B28,B29,B30, *
;*                           B31                                              *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,B10,B11,DP,SP,A16,A17,A18,A19,A20,A21,  *
;*                           A22,A23,A24,A25,A26,A27,A28,A29,A30,A31,B16,B17, *
;*                           B18,B19,B20,B21,B22,B23,B24,B25,B26,B27,B28,B29, *
;*                           B30,B31                                          *
;*   Local Frame Size  : 0 Args + 4 Auto + 8 Save = 12 byte                   *
;******************************************************************************
_loc_exec:
;** --------------------------------------------------------------------------*
;** 548	-----------------------    switch ( _cmd ) {case 1: goto g4;, case 2: goto g3;, DEFAULT goto g2};

           CMPEQ   .L2X    A4,1,B0           ; |548| 
||         CMPEQ   .L1     A4,2,A0           ; |548| 
||         STW     .D2T2   B11,*SP--(16)     ; |545| 
||         MV      .S2     B3,B11            ; |545| 

   [ B0]   B       .S1     $C$L29            ; |548| 
|| [ B0]   MVK     .L1     0x1,A0            ; |568| nullify predicate
||         STW     .D2T2   B10,*+SP(12)      ; |545| 
||         MV      .L2     B6,B10            ; |545| 

   [!A0]   B       .S1     $C$L30            ; |553| 
   [ B0]   CALL    .S1     _loc_process      ; |560| 
   [!B0]   MVK     .L1     0x1,A5            ; |552| 
   [!B0]   ZERO    .L2     B6                ; |568| 
           ADD     .L1X    4,SP,A4           ; |560| 
           ; BRANCHCC OCCURS {$C$L29}        ; |548| 
;** --------------------------------------------------------------------------*
;**	-----------------------g2:
;** 552	-----------------------    ret = 1u;
;** 553	-----------------------    goto g5;

   [ A0]   CALL    .S1     _loc_nops         ; |566| 
|| [!A0]   MV      .L2     B11,B3            ; |574| 

           ; BRANCHCC OCCURS {$C$L30}        ; |553| 
;** --------------------------------------------------------------------------*
;**	-----------------------g3:
;** 566	-----------------------    loc_nops();
;** 568	-----------------------    *_ret1 = 0u;
;** 570	-----------------------    goto g5;
           ADDKPC  .S2     $C$RL13,B3,4      ; |566| 
$C$RL13:   ; CALL OCCURS {_loc_nops} {0}     ; |566| 
;** --------------------------------------------------------------------------*

           B       .S1     $C$L31            ; |570| 
||         MV      .L2     B11,B3            ; |574| 
||         STW     .D2T2   B6,*B10           ; |568| 

           RET     .S2     B3                ; |574| 
||         LDW     .D2T2   *+SP(12),B10      ; |574| 

           LDW     .D2T2   *++SP(16),B11     ; |574| 
           MV      .L1     A5,A4             ; |573| 
           NOP             2
           ; BRANCH OCCURS {$C$L31}          ; |570| 
;** --------------------------------------------------------------------------*
$C$L29:    
;**	-----------------------g4:
;** 558	-----------------------    ptr.u32 = _arg1;
;** 560	-----------------------    *_ret1 = ret = loc_process(&(ptr));
           STW     .D2T2   B4,*+SP(4)        ; |560| 
           ADDKPC  .S2     $C$RL14,B3,0      ; |560| 
$C$RL14:   ; CALL OCCURS {_loc_process} {0}  ; |560| 
;** --------------------------------------------------------------------------*
           MV      .L1     A4,A5             ; |560| 

           STW     .D2T1   A5,*B10           ; |560| 
||         MV      .L2     B11,B3            ; |574| 

;** --------------------------------------------------------------------------*
$C$L30:    

           RET     .S2     B3                ; |574| 
||         LDW     .D2T2   *+SP(12),B10      ; |574| 

           LDW     .D2T2   *++SP(16),B11     ; |574| 
           MV      .L1     A5,A4             ; |573| 
           NOP             2
;** --------------------------------------------------------------------------*
$C$L31:    
;**	-----------------------g5:
;** 573	-----------------------    return ret;
           NOP             1
           ; BRANCH OCCURS {B3}              ; |574| 
	.sect	".text"
	.clink
	.global	_main

;******************************************************************************
;* FUNCTION NAME: main                                                        *
;*                                                                            *
;*   Regs Modified     :                                                      *
;*   Regs Used         : B3                                                   *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
;**  	-----------------------    return;
           RETNOP  .S2     B3,5              ; |593| 
           ; BRANCH OCCURS {B3}              ; |593| 

;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "TI", Tag_File, 1, Tag_ABI_stack_align_preserved(0)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)
